import escapeHtml from './dependencies/escape-html.js';
// https://docs.python.org/3/library/stdtypes.html#str.splitlines
export const splitLines = (str) => {
    return str.replace(/\r\n|\r|\n/gm, '');
};
export const escape = html => escapeHtml(html);
export const removeLeadingSlash = (str) => {
    return str.replace(/^\/+/g, '');
};
export const removeTrailingSlash = (str) => {
    return str.replace(/\/+$/g, '');
};
/** Just like path.join() (for url) */
export const appendPathToUrl = (url, append) => {
    return `${removeTrailingSlash(url)}/${removeLeadingSlash(append)}`;
};
//# sourceMappingURL=helpers.js.map